package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF494Data {

    private Map<String, Object> params;
    
    public MWF494Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsAccountnumber() {
        return (String) params.get("RS_ACCOUNTNUMBER");
    }

    public String rsCardnumber() {
        return (String) params.get("RS_CARDNUMBER");
    }

    public String rsContractnumber() {
        return (String) params.get("RS_CONTRACTNUMBER");
    }

    public Double rsDisponiblebalance() {
        return (Double) params.get("RS_DISPONIBLEBALANCE");
    }

    public String rsProducttype() {
        return (String) params.get("RS_PRODUCTTYPE");
    }

    public Double rsCreditlimit() {
        return (Double) params.get("RS_CREDITLIMIT");
    } 

}
